Subject: Re: bug#10474: Building guile 2.x under mingw + msys

From: Eli Zaretskii <[email-masked]>
Date: Tue, 19 Feb 2013 20:00:19 +0200

> From: Andy Wingo <[email-masked]>
> Cc: [email-masked],  [email-masked],
> Date: Tue, 19 Feb 2013 16:47:02 +0100
> 
> Hi Eli,
> 
> On Thu 02 Feb 2012 18:34, Eli Zaretskii <[email-masked]> writes:
> 
> >  . module/ice-9/boot-9.scm -- absolute-path? does not support Windows
> >                               file names with drive letters.  Windows
> >                               absolute file names match the regex
> >                               "\([a-zA-Z]:\)?[\\/]".  I don't know
> >                               Scheme well enough to write this in a
> >                               clean way, sorry...
> 
> I pushed a fix that recognizes drive components and UNC file names as
> absolute, and that attempts to allow for (and prefer) backslash as a
> file name separator on Windows systems.

Thanks.

> > 	* libguile/load.c (scm_init_load_path) [__MINGW32__]: Convert
> > 	backslashes to forward slashes in values of GUILE_LOAD_PATH and
> > 	GUILE_LOAD_COMPILED_PATH.
> 
> Is this necessary now that backslash is recognized as a file name
> separator?

Possibly.  But are you sure there's no more references to '/' alone in
C code (as opposed to in Scheme)?

> Still working on the rest.

Thanks.